function Integration({ id, name } = {}) {
  let _id = id;
  let _name = name;

  function getId() {
    return _id;
  }

  function setId(id) {
    _id = id;
  }

  function getName() {
    return _name;
  }

  function setName(name) {
    _name = name;
  }

  return {
    getId,
    setId,
    getName,
    setName,
  };
}

export default Integration;